﻿//------------------------------------------------------------------------------
//  Copyright(C) 2022  Gerald Fahrnholz
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program. If not, see <http://www.gnu.org/licenses/>.
//
//    Contact: http://www.gerald-fahrnholz.eu/impressum.php
//------------------------------------------------------------------------------

namespace TestExecWin_VS2022
{
    class Services
    {
        public static string GetThreadIdPrompt()
        {
            int tid = System.Threading.Thread.CurrentThread.ManagedThreadId;
            string msg = "TID " + System.Threading.Thread.CurrentThread.ManagedThreadId.ToString() + ": ";
            return msg;
        }

        public static OptionPage GetOptions()
        {
            var options = MyGlobals.myPackage.GetDialogPage(typeof(OptionPage)) as OptionPage;
            return options;
        }

        public static string GetListBoxItemsAsText(System.Windows.Controls.ListBox in_listBox)
        {
            string contents = "";
            foreach (var i in in_listBox.Items)
            {
                contents += i.ToString() + "\n";
            }
            return contents;
        }
    };
}